Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 06-24-04, 03:38 PM   #1
WiseCookie
Registered User
 
Join Date: Jun 2004
Posts: 2
Default Unable to compile kernel source

Hello,

I just started using linux. I first tried mandrake since i was told that i was very newbie friendly, but i hated. Everything was too easy, and packaged while i wanted to know what the "real" linux was all about. Anyway right now i'm using slackware 9.1 and i'm starting to get fimiliar with with. I've got a GeforeFx 5200 ( should have gone for the ti but i'm stupid). I tried installing the nvidia graphics driver by using the installer provided but it didn't work and i had everything configure properly, so i then decided to try compiling it myself. I downloaded the glx file and the kernel file. I compiled the glx file sucsessfully but when it came down to compiling the kernel it wouldn't work. It tells me that the kernel was compiled or whatever it can be called with a gcc 2.x.x compiler while mine is a 3.x.x. The strange thing is that others have downloaded it from nvidia and were able to compile it with a 3.x.x compiler, so i don't get it. Can anyone tell me what's wrong?

Here's what i get:

bash-2.05b# text data bss dec hex filename
bash: text: command not found
bash-2.05b# 783128 51988 52396 887512 d8ad8 NVdriver
bash: 783128: command not found
bash-2.05b# /lib/modules/2.4.22/kernel/drivers/video/NVdriver: The module you are trying to load (/lib/modules/2.4.22/kernel/drivers/video/NVdriver) is compiled with a gcc
bash: syntax error near unexpected token `('
bash-2.05b# version 2 compiler, while the kernel you are running is compiled with
bash: version: command not found
bash-2.05b# a gcc version 3 compiler. This is known to not work.
bash: a: command not found
bash-2.05b# /lib/modules/2.4.22/kernel/drivers/video/NVdriver: insmod /lib/modules/2.4.22/kernel/drivers/video/NVdriver failed
bash: /lib/modules/2.4.22/kernel/drivers/video/NVdriver:: No such file or directory
bash-2.05b# /lib/modules/2.4.22/kernel/drivers/video/NVdriver: insmod NVdriver failed
bash: /lib/modules/2.4.22/kernel/drivers/video/NVdriver:: No such file or directory
bash-2.05b# make: *** [package-install] Error 255
bash: make:: command not found

Kind of confusing isn't it :/
WiseCookie is offline   Reply With Quote
Old 06-24-04, 04:17 PM   #2
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default Re: Unable to compile kernel source

The problem is that your linux kernel was build using gcc 2.x (2.9.5). The problem is that a nvidia kernel module compiled using a gcc 3.x compiler doesn't work with a linux kernel build using gcc 2.9.5. Because of this you need to compile the nvidia kernel module using gcc 2.9x.

Further the nvidia driver version you are trying to use sounds very old. Since version 1.0-4xxx the name of the kernel module changed from "NVdriver" to "nvidia, your version seems to be 1.0-3xxx or older. (current driver version is 1.0-5xxx and soon 1.0-6xxx will be out)
Thunderbird is offline   Reply With Quote
Old 06-24-04, 05:12 PM   #3
WiseCookie
Registered User
 
Join Date: Jun 2004
Posts: 2
Default Re: Unable to compile kernel source

Where can i get the newest kernel source then or there are only installer packs right now because they don't seem to be working on my system and btw, this is the link i'm using http://www.nvidia.com/object/linux_d..._1.0-2880.html so yeah i guess i'm using a pretty old version. I didn't notice but there are a lot of people who i've asked on irc that have compiled their own kernel module, so i guess there's suppose to be one.
WiseCookie is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Random crashes, NVRM Xid messages Iesos NVIDIA Linux 90 10-04-12 04:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 11:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 05:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 12:04 PM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 09:22 PM

All times are GMT -5. The time now is 04:10 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.